- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
WP6TableStylePacket Class Reference

`#include <WP6TableStylePacket.h>`

Inheritance diagram for WP6TableStylePacket:

## Public Member Functions
| WP6TableStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6TableStylePacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *) const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6TableStylePacket (const WP6TableStylePacket &)
WP6TableStylePacket & | operator= (const WP6TableStylePacket &)

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6TableStylePacket::WP6TableStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6TableStylePacket::~WP6TableStylePacket | ( |  | ) |

WP6TableStylePacket::WP6TableStylePacket | ( | const WP6TableStylePacket & |  | ) |
| private

## Member Function Documentation

void WP6TableStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

WP6TableStylePacket& WP6TableStylePacket::operator= | ( | const WP6TableStylePacket & |  | ) |
| private

void WP6TableStylePacket::parse | ( | WP6Listener * |  | ) | const
| inline virtual

Reimplemented from WP6PrefixDataPacket.

The documentation for this class was generated from the following files:

- WP6TableStylePacket.h
- WP6TableStylePacket.cpp